/*
 * Copyright 2004-2014 the Seasar Foundation and the Others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND,
 * either express or implied. See the License for the specific language
 * governing permissions and limitations under the License.
 */
package org.seasar.framework.jpa.metadata;

import javax.persistence.EntityManagerFactory;

/**
 * {@link EntityDesc}を提供するコンポーネントの抽象クラスです。
 * 
 * @author koichik
 */
public interface EntityDescProvider {

    /**
     * エンティティクラスを表す{@link EntityDesc}を作成します。
     * 
     * @param emf
     *            {@link EntityManagerFactory}
     * @param entityClass
     *            エンティティクラス
     * @return エンティティクラスを表す{@link EntityDesc}
     */
    EntityDesc createEntityDesc(EntityManagerFactory emf, Class<?> entityClass);

}
